QGIS Application - Bug report #15316
symbology offset based on expressions does not work anymore
2016-07-20 08:56 AM - Giorgio Rosso

Status: Closed

Priority: High

Assignee: Giovanni Manghi

Category: Symbology

Affected QGIS version:2.18.4 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 23248
Description

new description:

tested on QGIS 2.8 and 2.16, with a polygon feature and the line pattern fill symbology.

In 2.8 you can define an offset for such symbology using an expression and it will works as expected. In 2.16 the offset based on a
expression is not applied at all.

Also 2.14 is affected, so the eventual fix should be backported.

old description:

style fill offset linear patterns

prejudice are george,new entry, | need help regarding the construction of filling a poly layer called cadastral representing particle owners.
many to one relationship.

| connected with mmqgis proprietari.csv (many) to particelle.shp (one) and created a new shp with svrapposti polygons for each subject
represented.

eg particle 1 prop guy 100% one poliggono

.... Particle 2 prop Dick 25% + 75% trad two polygons

proprietari.csv contains a field progresProp (double) plus a TotProp field (twice).

SO:

Particle 1 name = dude; progresProp = 1; TotProp = 1

particle 2 name = foo; progresProp = 1; TotProp = 2

particle 2 Name = simp; progresProp = 2; TotProp = 2

the properties of the vector is defined by style category of name
symbol fill filling linear patern distance = TotProp
lienea simple stroke = 1 offset = progresProp

aim is to achieve parallel lines of different colors for n owners.

particle 1 will be the line of the same tight red (distance = 1, width = 1 offset = 1)

particle 2 will be the line of a different color blue alternarnate (distance = 2; width = 1 offset = 1) + green (distance = 2; width = 1 offset =
2)

in fact | can not apply the offset property it 'as calculated it' value as the value preassigned

Related issues:
Duplicated by QGIS Application - Bug report # 17097: Can't define offset (sim... Closed 2017-08-31
History

#1 - 2016-07-26 02:41 AM - Giorgio Rosso
- File doc2.doc added
- Assignee set to Richard Duivenvoorde

| have problems in using style to fill a linear pattern in computed offset.
is my problem or ggis problem?

#2 - 2016-07-26 09:13 AM - Richard Duivenvoorde

- Status changed from Open to Feedback

Hi Giorgio,

to be honest it is not all clear what you try to achieve and on basis of your story alone it would take me too much time to check/find out, and also: | do not

think what you describe is a 'bug' is it?

if you still think it is, please:

- add a zip with a very small part of your data

- aqggs project file

and prefereably some more description/sketches what exactly it is that you want, and is not working

#3 - 2016-07-27 10:37 AM - Giovanni Manghi
- Assignee deleted (Richard Duivenvoorde)

- Category set to Symbology

agree, is not clear if this an help request or a bug report. If it can help please write me in Italian.

#4 - 2016-07-29 02:25 AM - Giorgio Rosso
- Assignee set to Giovanni Manghi
- File PogettoVestizioneCatastale.zip added

Grazie Giovanni il mio inglese € zero letto scritto parlato e mi affido a Google! si sara capito. quindi ti ringrazio se mi darai una mano.

#5 - 2016-07-29 02:25 AM - Giorgio Rosso
- File PogettoVestizioneCatastale.zip added

Grazie Giovanni il mio inglese & zero letto scritto parlato e mi affido a Google! si sara capito. quindi i ringrazio se mi darai una mano.

#6 - 2016-08-02 01:04 AM - Giovanni Manghi
- Assignee deleted (Giovanni Manghi)
- Priority changed from Normal to Severe/Regression

- Status changed from Feedback to Open

- Subject changed from style fill offset linear patterns to symbology offset based on expressions does not work anymore

Subject and original description edited to better describe the issue.

#7 - 2017-02-28 10:33 AM - Giovanni Manghi
- Affected QGIS version changed from 2.16.0 to 2.18.4
- Target version set to Version 2.18

Also affects 2.18.4

#8 - 2017-04-30 05:08 PM - Giovanni Manghi

- Regression? set to Yes

#9 - 2017-04-30 05:08 PM - Giovanni Manghi
- Priority changed from Severe/Regression to High

#10 - 2017-05-01 01:10 AM - Giovanni Manghi
- Easy fix? set to No

#11 - 2017-09-02 01:47 PM - Jiirgen Fischer

- Duplicated by Bug report #17097: Can't define offset (simple line style) as value of attribute field added

#12 - 2018-06-11 04:56 PM - Giorgio Rosso
- Assignee set to Giovanni Manghi

problema risolto con 3.0.3

#13 - 2019-01-22 04:35 AM - Nyall Dawson
- Resolution set to fixed/implemented

- Status changed from Open to Closed

- Description updated

Files

doc2.doc 915 KB 2016-07-26 Giorgio Rosso
PogettoVestizioneCatastale.zip 829 KB 2016-07-29 Giorgio Rosso
PogettoVestizioneCatastale.zip 829 KB 2016-07-29 Giorgio Rosso
